Bug 606432 - Review Request: ditaa - Diagrams Through Ascii Art
Summary: Review Request: ditaa - Diagrams Through Ascii Art
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-21 15:35 UTC by Terje Røsten
Modified: 2010-07-26 19:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-26 19:23:51 UTC
Type: ---
pikachu.2014: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Terje Røsten 2010-06-21 15:35:18 UTC
spec: http://terjeros.fedorapeople.org/ditaa/ditaa.spec
srpm: http://terjeros.fedorapeople.org/ditaa/ditaa-0.9-1.fc13.src.rpm
koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2261590
desc:
ditaa is a small command-line utility written in Java, that can
convert diagrams drawn using ascii art ('drawings' that contain
characters that resemble lines like | / - ), into proper bitmap
graphics.

Comment 1 Mohamed El Morabity 2010-06-21 16:13:31 UTC
Hi,

I will review your package.

A few remarks :

* According to the Java guidelines:
      https://fedoraproject.org/wiki/Packaging/Java#BuildRequires_and_Requires
   you should requires a Java 6 compliant JDK like this:
      BuildRequires:  java-devel >= 1:1.6.0
   instead of explicitely requiring OpenJDK that can maybe change in the future.
   You shoud do the same with the Requires on java:
      Requires:  java >= 1:1.6.0

* ditaa requires apache-commons-cli, xml-commons-apis and batik. They are set as Requires in your package (and it's good!), but your wrapper doesn't set them in the classpath, so it cannot work.
   You should modify your wrapper like this:
   [...]
   MAIN_CLASS=org.stathissideris.ascii2image.core.CommandLineConverter
   BASE_JARS="ditaa commons-cli xml-commons-apis batik"

   set_classpath $BASE_JARS

   run "$@"

Comment 2 Terje Røsten 2010-06-21 17:34:27 UTC
Thanks for the hints, updated package:

- Be more generic about jdk 1.6 buildreq
- Add req on jdk 1.6
- Include some jars to wrapper

spec: http://terjeros.fedorapeople.org/ditaa/ditaa.spec
srpm: http://terjeros.fedorapeople.org/ditaa/ditaa-0.9-2.fc13.src.rpm
koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2263247

Comment 3 Mohamed El Morabity 2010-06-22 20:06:36 UTC
Great, this should be OK :)

Here is the review.

* MUST: rpmlint must be run on every package. The output should be posted in
the review.
  No serious warnings on binary and source packages (only warnings about man pages not provided by upstream and false-positive mispelling)
* MUST: The package must be named according to the Package Naming Guidelines .
  OK
* MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption.
  OK
* MUST: The package must meet the Packaging Guidelines
  OK
* MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines
  OK (GPLv2 or more)
* MUST: The License field in the package spec file must match the actual
license.
  OK
* MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
  OK
* MUST: The spec file must be written in American English.
  OK
* MUST: The spec file for the package MUST be legible.
  OK
* MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.
  OK (RPM source archive has the same MD5 sum than the one downloaded: d7230273bf4c28c5029d350842278cf9)
* MUST: The package MUST successfully compile and build into binary rpms on at
least one primary architecture.
  OK (see koji links above)
* MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line.
  N/A
* MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of the Packaging Guidelines;
inclusion of those as BuildRequires is optional. Apply common sense.
  OK
* MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
  N/A
* MUST: Every binary RPM package (or subpackage) which stores shared library
files (not just symlinks) in any of the dynamic linker's default paths, must
call ldconfig in %post and %postun.
  N/A
* MUST: Packages must NOT bundle copies of system libraries.
  OK
* MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker.
  N/A
* MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
  OK
* MUST: A Fedora package must not list a file more than once in the spec file's
%files listings.
  OK
* MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
  OK
* MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
  OK
* MUST: Each package must consistently use macros.
  OK
* MUST: The package must contain code, or permissable content.
  OK
* MUST: Large documentation files must go in a -doc subpackage. (The definition
of large is left up to the packager's best judgement, but is not restricted to
size. Large can refer to either size or quantity).
  N/A
* MUST: If a package includes something as %doc, it must not affect the runtime
of the application. To summarize: If it is in %doc, the program must run
properly if it is not present.
  OK
* MUST: Header files must be in a -devel package.
  N/A
* MUST: Static libraries must be in a -static package.
  N/A
* MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
(for directory ownership and usability).
  N/A
* MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel
package.
  N/A
* MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release}
  N/A
* MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.
  N/A
* MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section. If you feel that your packaged GUI application does not need
a .desktop file, you must put a comment in the spec file with your explanation.
  N/A
* MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time.
  OK
* MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT).
  OK
* MUST: All filenames in rpm packages must be valid UTF-8.
  OK

This package is APPROVED!

Comment 4 Terje Røsten 2010-06-22 20:15:50 UTC
Thanks for a quick and nice review!

New Package CVS Request
=======================
Package Name: ditaa
Short Description: Diagrams Through Ascii Art
Owners: terjeros
Branches: F-12 F-13
InitialCC:

Comment 5 Kevin Fenzi 2010-06-23 01:53:38 UTC
CVS done (by process-cvs-requests.py).

Comment 6 Terje Røsten 2010-07-26 19:23:51 UTC
Sorry for the delay, wanted to wait for upstream fix for bug #607076.

ditaa is now imported, built and pushed for rawhide, F-12 and F-13.


Note You need to log in before you can comment on or make changes to this bug.